ENT.Type = "anim"
ENT.Base = "base_entity"
ENT.RenderGroup = RENDERGROUP_BOTH
ENT.Spawnable = false
ENT.PrintName = "Hergestelltes Meth"
ENT.Category = "Meth-Herstellung"
ENT.Model = Model("models/zerochain/zmlab/zmlab_methbag.mdl")

function ENT:SetupDataTables()
	self:NetworkVar("Entity", 0, "owning_ent")
	self:NetworkVar("Float", 0, "MethAmount")

	if (SERVER) then
		self:SetMethAmount(100)
	end
end

function ENT:PhysgunPickup(ply)
	return ply:IsAdmin()
end

function ENT:CanTool(ply, trace, mode)
	return mode == "remover" and ply:IsAdmin()
end